using ConstructorApp.EntityLayer.Entities;

namespace ConstructorApp.DataAccessLayer.Abstract
{
    public interface IProjectDal : IGenericDal<Project>
    {
        void ProjectStatusActive(int id);
        void ProjectStatusPassive(int id);
        int CountAll();
        Project GetBySlug(string slug);
        Project GetProjectWithImagesBySlug(string slug);
    }
}
